import { constructStealthAddressStructure as e, isValidPrivateAddress as t } from "../../functions/utils/addresses.mjs";
import { transactionErrorCodes as n } from "../../error-handling/error-codes.constants.mjs";
//#region libs/shared/common/src/data-structures/Hinkal/hinkalMultiSend.ts
var r = async (r, i, a, o) => {
	let s;
	return o && (s = o.map((r) => {
		if (!t(r)) throw Error(n.RECIPIENT_FORMAT_INCORRECT);
		return e(r);
	})), r.prooflessDeposit(i, a, s);
};
//#endregion
export { r as hinkalMultiSendPrivateRecipients };
